#
# Sample configuration file for Kannel bearerbox  
# See the documentation for explanations of fields.
#

group = core
admin-port = 13000
admin-password = bar
admin-deny-ip = "*.*.*.*"
admin-allow-ip = "127.0.0.1"
smsbox-port = 13003
log-file = "/var/log/kannel/bearerbox.log"
box-deny-ip = "*.*.*.*"
box-allow-ip = "127.0.0.1"

group = smsbox
bearerbox-host="localhost"
sendsms-port = 13013
sendsms-chars = "+0123456789"
log-file = "/var/log/kannel/smsbox.log"
log-level = 0
access-log = "/var/log/kannel/access.log"
log-level = 0
mo-recode = 1

group = smsc
smsc = smpp
smsc-id = smpp-nexmo
host = smpp0.nexmo.com
port = 8000
receive-port = 8000
transceiver-mode = false
throughput = 10
smsc-username = $nexmo_user
smsc-password = $nexmo_password
system-type = nexmo
dest-addr-ton=1
log-file = "/var/log/kannel/smpp-nexmo.log"
log-level = 0
alt-charset = LATIN1
enquire-link-interval = 30

group = sendsms-user
username = username
password = pwd
forced-smsc =  smpp-nexmo
name = users
user-deny-ip = "*.*.*.*"
user-allow-ip = "127.0.0.1"
max-messages = 3
concatenation = 1
omit-empty = 1
